PBAS and Virtuozzo 3.0

Discussion in 'General Discussion' started by galaxy, Mar 14, 2013.

  1. galaxy

    galaxy Mega Poster

    Messages:
    244
    I have customers still using Virtuozzo 3.0, and didn't want to chance breaking them with an upgrade.
    The release notes state that you should upgrade to Virtuozzo 4.7 before upgrading PBAS.
    Is that a requirement? Or will it continue to work with Virtuozzo 3.0? I would prefer to remain on 3.0. In fact, I'm not sure I can find the licenses I was emailed for 2 nodes to upgrade them to 4.x since it was so long ago. PBAS has been working fine with it. I'm currently on PBAS 4.1.5 and getting ready to upgrade to 4.2.3, but the Virtuozzo compatibility would throw a wrench in it... I'm also looking to upgrade to the latest Plesk (still on 9.5) to get the new sitebuilder, but that first requires the new PBAS.

    So would it be possible to upgrade PBAS and leave the Virtuozzo containers alone?
     
  2. vbatraev

    vbatraev Odin Team

    Messages:
    346
    Yes, it's a requirement for the upgrade:
    - There are know issues with running PBAS 4.2 and later versions on PVC 3.0: PowerDNS fails to start after upgrade to PBAS 4.2 if PBAS Container is running on PVC 3.x.
    - We not tested integration with PVC 3.0 on PBAS 4.2.

    FYI: PVC 3.0 was EOLed an year ago an no longer supported.
    BTW, PVC 4.0 will be EOLed in May (refer to http://www.parallels.com/support/policy/server-lifecycle/ for more info).

    So, I strongly recommend you to upgrade all your nodes to the latest version.
    Please contact your account manager regarding licensing issue.
     

Share This Page